# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.EquipmentTerminalDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.EquipmentTerminalDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.EquipmentTerminalDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  package capture
  Definition Classes
    terminals
-  package implant
  Definition Classes
    terminals
- CaptureTerminals
- EquipmentTerminalDefinition
- GeneratorTerminalDefinition
- MatrixTerminalDefinition
- MedicalTerminalDefinition
- OrderTerminalDefinition
- ProximityDefinition
- ProximityTerminal
- ProximityTerminalControl
- ProximityTerminalDefinition
- ProximityUnit
- Terminal
- TerminalControl
- TerminalDefinition
- VehicleTerminalDefinition

o

net.psforever.objects.serverobject.terminals

# EquipmentTerminalDefinition

###

#### object EquipmentTerminalDefinition

Source
  EquipmentTerminalDefinition.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EquipmentTerminalDefinition
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def BuildSimplifiedPattern(entry: Simplification): Equipment

   Accept a simplified blueprint for some piece of `Equipment` and create an actual piece of `Equipment` based on it.

   Accept a simplified blueprint for some piece of `Equipment` and create an actual piece of `Equipment` based on it. Used specifically for the reconstruction of `Equipment` via an `Loadout`.

   entry

     the simplified blueprint

   returns

     some `Equipment` object

   See also

     `TerminalDefinition.MakeTool`
     `TerminalDefinition.MakeAmmoBox`
     `TerminalDefinition.MakeSimpleItem`
     `TerminalDefinition.MakeConstructionItem`
     `TerminalDefinition.MakeKit`

5.  def Buy(page0Stock: Map[String, () => Equipment], page2Stock: Map[String, () => Equipment], exosuits: Map[String, (types.ExoSuitType.Value, Int)])(player: Player, msg: ItemTransactionMessage): Exchange

   Process a `TransactionType.Buy` action by the user.

   Process a `TransactionType.Buy` action by the user. Either attempt to purchase equipment or attempt to switch directly to a different exo-suit.

   page0Stock

     the `Equipment` items and `AmmoBox` items available on the first tab

   page2Stock

     the `Equipment` items and `AmmoBox` items available on the third tab

   exosuits

     the exo-suit types (and subtypes) available on the second tab

   player

     the player

   msg

     the original packet carrying the request

   returns

     an actionable message that explains how to process the request

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  val flailTerminal: Map[String, () => Equipment]

    A single-element `Map` of the one piece of `Equipment` for the Flail.

12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val infantryAmmunition: Map[String, () => Equipment]

    A `Map` of operations for producing the `AmmoBox` `Equipment` for infantry-held weaponry.

    A `Map` of operations for producing the `AmmoBox` `Equipment` for infantry-held weaponry. key - an identification string sent by the client value - a curried function that builds the object

15.  val infantryWeapons: Map[String, () => Equipment]

    A `Map` of operations for producing the `Tool` `Equipment` for infantry weapons.

    A `Map` of operations for producing the `Tool` `Equipment` for infantry weapons. key - an identification string sent by the client value - a curried function that builds the object

16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  val maxAmmo: Map[String, () => Equipment]
18.  val maxSuits: Map[String, (types.ExoSuitType.Value, Int)]

    A `Map` of information for changing mechanized assault exo-suits.

    A `Map` of information for changing mechanized assault exo-suits. key - an identification string sent by the client value - a `Tuple` containing exo-suit specifications

19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  val routerTerminal: Map[String, () => Equipment]

    A single-element `Map` of the one piece of `Equipment` specific to the Router.

23.  val suits: Map[String, (types.ExoSuitType.Value, Int)]

    A `Map` of information for changing exo-suits.

    A `Map` of information for changing exo-suits. key - an identification string sent by the client value - a `Tuple` containing exo-suit specifications

24.  val supportAmmunition: Map[String, () => Equipment]

    A `Map` of operations for producing the `AmmoBox` `Equipment` for infantry-held utilities.

    A `Map` of operations for producing the `AmmoBox` `Equipment` for infantry-held utilities. key - an identification string sent by the client value - a curried function that builds the object

25.  val supportWeapons: Map[String, () => Equipment]

    A `Map` of operations for producing the `Tool` `Equipment` for utilities.

    A `Map` of operations for producing the `Tool` `Equipment` for utilities. key - an identification string sent by the client value - a curried function that builds the object

26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  val vehicleAmmunition: Map[String, () => Equipment]

    A `Map` of operations for producing the `AmmoBox` `Equipment` for vehicle-mounted weaponry.

    A `Map` of operations for producing the `AmmoBox` `Equipment` for vehicle-mounted weaponry. key - an identification string sent by the client value - a curried function that builds the object

29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped